# DS_List.h File Reference

[Internal] Array based list. Usually the Queue class is used instead, since it has all the same functionality and is only worse at random access. More...

`#include "RakAssert.h"`
`#include <string.h>`
`#include "Export.h"`
`#include "RakMemoryOverride.h"`

## Classes

class | DataStructures::List< list_type >
| Array based implementation of a list. More...

## Namespaces

namespace | DataStructures

## Detailed Description

[Internal] Array based list. Usually the Queue class is used instead, since it has all the same functionality and is only worse at random access.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.